sailpoint.object

## Interface EmailTemplate

All Superinterfaces:
  java.lang.Cloneable, PersistentXmlObject, java.io.Serializable, XMLReferenceTarget

    public interface EmailTemplate
    extends PersistentXmlObject, java.io.Serializable, XMLReferenceTarget, java.lang.Cloneable

### Field Summary

Fields
`static java.lang.String` `HOST_PROPERTY`
`static java.lang.String` `PORT_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()`
`EmailTemplate` `compile(javax.naming.spi.Resolver resolver, Configuration sysconfig, EmailOptions options)`
`java.lang.String` `getBcc()`
`java.lang.String` `getBody()`
`java.lang.String` `getCc()`
`java.lang.String` `getFrom()`
`java.lang.String` `getHost()`
`java.util.Map<java.lang.String,java.lang.String>` `getSessionProperties()`
`java.security.Signature` `getSignature()`
`java.lang.String` `getSubject()`
`java.lang.String` `getTo()`
`void` `load()`
`void` `setBcc(java.lang.String bcc)`
`void` `setBody(java.lang.String body)`
`void` `setCc(java.lang.String cc)`
`void` `setFrom(java.lang.String from)`
`void` `setHost(java.lang.String _host)`
`void` `setSessionProperties(java.util.Map<java.lang.String,java.lang.String> props)`
`void` `setSignature(java.security.Signature s)`
`void` `setSubject(java.lang.String subject)`
`void` `setTo(java.lang.String _to)`

### Methods inherited from interface sailpoint.tools.xml.PersistentXmlObject

`getOriginalXml, setOriginalXml`

### Methods inherited from interface sailpoint.tools.xml.XMLReferenceTarget

`getReferenceClass, getReferenceId, getReferenceName`

### Field Detail

#### HOST_PROPERTY

    static final java.lang.String HOST_PROPERTY

See Also:
  Constant Field Values

#### PORT_PROPERTY

    static final java.lang.String PORT_PROPERTY

See Also:
  Constant Field Values

### Method Detail

#### getFrom

    java.lang.String getFrom()

#### setFrom

    void setFrom(java.lang.String from)

#### getSubject

    java.lang.String getSubject()

#### setSubject

    void setSubject(java.lang.String subject)

#### getBody

    java.lang.String getBody()

#### setBody

    void setBody(java.lang.String body)

#### getSessionProperties

    java.util.Map<java.lang.String,java.lang.String> getSessionProperties()

#### setSessionProperties

    void setSessionProperties(java.util.Map<java.lang.String,java.lang.String> props)

#### getTo

    java.lang.String getTo()

#### setTo

    void setTo(java.lang.String _to)

#### getCc

    java.lang.String getCc()

#### setCc

    void setCc(java.lang.String cc)

#### getBcc

    java.lang.String getBcc()

#### setBcc

    void setBcc(java.lang.String bcc)

#### getHost

    java.lang.String getHost()

#### setHost

    void setHost(java.lang.String _host)

#### getSignature

    java.security.Signature getSignature()

#### setSignature

    void setSignature(java.security.Signature s)

#### compile

    EmailTemplate compile(javax.naming.spi.Resolver resolver,
                          Configuration sysconfig,
                          EmailOptions options)
                   throws GeneralException

Throws:
  `GeneralException`

#### load

    void load()

#### clone

    java.lang.Object clone()